#include <iostream>

using namespace std;

int main()

{
long long L,R;
int p,q,r;
cin>>p>>q>>r>>L>>R;
long long niz[R-L+3];
long long a=L;
long long z1=0;
long long z2=0;
long long z3=0;
long long N=0;
for (int i=1;i<R-L+2;i++)
{
     niz[i]=a;
     if (niz[i]%p==0)
     z1=niz[i]/p;
     else
     z1=(niz[i]/p)+1;
     if (niz[i]%q==0)
     z2=niz[i]/q;
     else
     z2=(niz[i]/q)+1;
     if (niz[i]%r==0)
     z3=niz[i]/r;
     else
     z3=(niz[i]/r)+1;
     if (z1+z2+z3<niz[i]+1)
     N++;
     a++;
}
cout<<N;

    return 0;
}